Loading...
Searching...
No Matches
pqxx::internal::integral_traits< T > Struct Template Reference

String traits for builtin integral types (though not bool). More...

## Static Public Member Functions

static PQXX_LIBEXPORT T | from_string (std::string_view text)
static PQXX_LIBEXPORT zview | to_buf (char *begin, char *end, T const &value)
static PQXX_LIBEXPORT char * | into_buf (char *begin, char *end, T const &value)
static constexpr std::size_t | size_buffer (T const &) noexcept

## Static Public Attributes

static constexpr bool | converts_to_string {true}
static constexpr bool | converts_from_string {true}

## Detailed Description

template<typename T>
struct pqxx::internal::integral_traits< T >

String traits for builtin integral types (though not bool).

The documentation for this struct was generated from the following files:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/internal/conversions.hxx
- /build/libpqxx-dRO3di/libpqxx-7.10.0/src/strconv.cxx